<?php
/**
 * @package    Publications
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');
/**
 * Publications Component Controller
 *
 * @package    Publications
 */
class PublicationsController extends JController {
  /**
	 * Method to save a category title in a file
	 *
	 * @access	public
	 */
  function save() {
    $model = $this->getModel('publications');
    //store  the  title in a file  
    $result = $model->storeTitle(JRequest::getVar('title'));
    switch($result){
      //file is not writable - title wasn't written
    case 1: 
      $msg=JTEXT::sprintf('NOT_WRITABLE',JPATH_COMPONENT_ADMINISTRATOR.DS.'publications_settings.php');
      $type='error';
      break;
      //title was written
    case 0:
      $msg= JText::_( 'SETTINGS_SAVED' );
      $type='message';
      break;
	  }
    $link = 'index.php?option=com_publications';
    $this->setRedirect($link, $msg,$type);
  }
}
?>
