<?php
/**
 * Publications Model for Publications Component
 *
 * @package    Publications
 * components/com_publications/publications.php
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();
jimport('joomla.application.component.model');
/**
 * Publications Model
 *
 * @package    Publications
 */
class PublicationsModelPublications extends JModel {
  
  /**
   * Retrieves the category title
   * @return string category title
   */

  function getTitle() {
    //read a category title from the 'publications_settings.php' file
    require_once( JPATH_COMPONENT_ADMINISTRATOR.DS.'publications_settings.php' );
    return $publications_title;
  }

  /**
   * Stores category title in a file
   * @return 0
   */
  function storeTitle($title){
    //where to store the title
    $configfile=JPATH_COMPONENT_ADMINISTRATOR.DS.'publications_settings.php' ;
    @chmod ($configfile, 0666);
    //check if the file is writable
    $permission = is_writable($configfile);
    if (!$permission) {
      return 1; //not writeable
    }
    else{
      $config  = "<?php\n";
      $config .= 'defined(\'_JEXEC\') or die(\'Restricted access\');';
      $config .="\n";
      $config .= '$publications_title = '."'". $title. "';\n";
      $config .= "?>";
      if ($fp = fopen("$configfile", "w")) {
	fputs($fp, $config, strlen($config));
	fclose ($fp);
      }
      return 0; //title has been saved
    }
  }
}
?>
