<?php
/**
 * @package    Publications
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

/**
 * Publications View class for the Publications Component
 *
 * @package    Publications
 */

class PublicationsViewPublications extends JView {
  
  function display($tpl = null){
    // get id of a category which name is in the $publications_title variable
    $items =& $this->get( 'Categories');
    //if this category doesn't exists in DB
    if(count($items) == 0) {
      //then display an error and exit
      require(JPATH_COMPONENT_ADMINISTRATOR.DS.'publications_settings.php');
      JError::raiseError( 404, JText::sprintf('CATEGORY_NOT_FOUND',$publications_title));
      return;	
    } 
    //get years of publication
    $years =&$this->get( 'Years');
    $this->assignRef ('years', $years );
    //check if we search publications
    if(strlen(JRequest::getVar('string'))!=0){
      //get  searched publications
      $items =&$this->get( 'Search');
      $this->assignRef ('items', $items );
    }
    parent::display($tpl);
  }
}
?>
